Subject: Re: make update hell
To: Jeremy C. Reed <>
From: Todd Vierling <>
List: tech-pkg
Date: 10/16/2004 00:46:13
On Fri, 15 Oct 2004, Todd Vierling wrote:

> > I don't see @blddep being used though.
> The issue is, AFAICT, that @blddep should be represented as a dewey
> dependency, so that (even if only enforced via a pkg_add option) it could
> function as a proper dependency constraint.

Oh, and to extend this idea:  If @blddep could be enforced as a minimum
version via some option to pkg_add, we instantly gain functionality very
close to the "LATEST" you described without having to mark it in the bl3
files.  After all, the place where such minimum versions matter is in binary

-- Todd Vierling <> <>